Welcome Guest, you are in: Login


Search the wiki



Does my PC or device meet the minimum requirements to access MPTC applications?

Modified on 2014/09/02 13:21 by Ross Atkinson Categorized as Portal Account
To log in and use the myMPTC portal effectively, you should be using one of the following Internet browsers or later versions. If you are trying to log in to the system using earlier browser versions, you may experience difficulties. Please note that web page styling may appear different depending on the browser you're using.


  • Internet Explorer 7
  • Internet Explorer 8
  • Mozilla Firefox 2.0
  • Apple Safari 5.0


  • Mozilla Firefox 2.0
  • Safari 3.0

Payment Gateway Requirements

JavaScript must be enabled and pop-up blockers must be disabled.

Online Learning Requirements

Please review PC minimum requirements for taking online classes.

Internet Native Banner Requirements

Java must be installed to use the "JPI" plugin.

Ellucian GO Mobile App Device Requirements

  • Apple devices running iOS 6.0 or later.
  • Android devices running system version 4.0.3 or later for Ellucian GO 3.0. Ellucian GO2.5 remains in the app store for devices that are running a system version of at least2.3.3 but earlier than 4.0.3.
  • Kindle Fire devices, 2nd and 3rd generation.